Bug 162570 - KWallet::Wallet::disconnectApplication() closes a wallet when no other application is connected to this wallet
Summary: KWallet::Wallet::disconnectApplication() closes a wallet when no other applic...
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: kwallet (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-24 18:56 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2020-03-11 06:45 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis 2008-05-24 18:56:37 UTC
Version:            (using KDE 4.0.4)
Installed from:    Compiled From Sources
Compiler:          GCC 4.2.3 
OS:                Linux

KWallet::Wallet::disconnectApplication() closes a wallet when no other application is connected to this wallet. It should only disconnect an application without closing this wallet. It was working correctly in KDE 4.0.3.
Comment 1 Michael Leupold 2008-10-28 11:54:32 UTC
SVN commit 876871 by mleupold:

On disconnecting an application check the "Leave Open" config setting, don't force it closed.
BUG:162570


 M  +2 -2      kwalletd.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=876871